﻿Module Module_Web

    Friend Function OpenSiteAndRead(ByVal url As String) As String
        Dim Response As String = ""
        Try
            ' ----------------------------------------------
            Dim web As New Net.WebClient
            Dim page As String = web.DownloadString(url)
            ' ----------------------------------------------
            Dim tag1 As String = "pod title='Result"
            Dim tag1b As String = "pod title='Alternate"
            Dim tag2 As String = "<plaintext>"
            Dim tag3 As String = "</plaintext>"
            Dim i1 As Int32
            Dim i2 As Int32
            i2 = page.IndexOf(tag1)
            If i2 <= 0 Then i2 = page.IndexOf(tag1b)
            If i2 > 0 Then
                Do
                    i1 = page.IndexOf(tag2, i2)
                    If i1 < 0 Then Exit Do
                    i2 = page.IndexOf(tag3, i1)
                    If i2 < 0 Then Exit Do
                    i1 += tag2.Length
                    Response += page.Substring(i1, i2 - i1) + vbCrLf
                Loop
            End If
            AddTimedOutPods(page, Response)
            AddInvalidAppID(page, Response)
        Catch
        End Try
        Return Response
    End Function

    Private Sub AddTimedOutPods(ByVal page As String, ByRef response As String)
        Dim tag As String = "timedout="
        If page.Contains(tag) Then
            Dim i1 As Int32 = page.IndexOf(tag)
            If i1 > 0 Then
                Dim i2 As Int32 = page.IndexOf(vbLf, i1)
                If i2 < 0 Then i2 = i1 + 16
                i1 += tag.Length
                Dim s As String = page.Substring(i1, i2 - i1)
                If s <> "''" Then
                    response = "Timed out : " + s + vbCrLf + response
                    Return
                End If
            End If
        End If
        tag = "timedoutpods="
        If page.Contains(tag) Then
            Dim i1 As Int32 = page.IndexOf(tag)
            If i1 > 0 Then
                Dim i2 As Int32 = page.IndexOf(vbLf, i1)
                If i2 < 0 Then i2 = i1 + 32
                i1 += tag.Length
                Dim s As String = page.Substring(i1, i2 - i1)
                If s <> "''" Then
                    response = "Timed out pods : " + s + vbCrLf + response
                End If
            End If
        End If
    End Sub

    Private Sub AddInvalidAppID(ByVal page As String, ByRef response As String)
        Dim tag As String = "Invalid appid"
        If page.Contains(tag) Then
            response = "The APP-ID is not valid." + vbCrLf + response
        End If
    End Sub

End Module
